#ifndef __PROP_H__
#define __PROP_H__

struct propparm {
    float weight;
    float util;
    float reqb;
    float bmin;
    struct propparm *next;
};

void prop_init(float fbw);
void *prop_create(float u, float w);
void prop_destroy(void *p);
float prop_getband(void *p);
void prop_setband(void *p, float u);
void prop_compress(void);

#endif				/* __PROP_H__ */
